agent_id in the response is the staging copy's ID, not the ID in the path. Publishcurl --location --globoff --request POST 'https:///api/v2/agents//skills//enable' \
--header 'X-Authorization-Consistency-Token;' \
--header 'Organization-Id;' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer '{
"success": true,
"message": "AgentSkill already exists.",
"data": {
"id": 88,
"agent_id": 41,
"skill_id": 12,
"skill_name": "code-review",
"description": "Reviews a diff and reports problems.",
"created_by": "[email protected]"
}
}